# LuaThread.State (Luaj API)
Date: 2015-04-29

## org.luaj.vm2
Class LuaThread.State

    java.lang.Object
      org.luaj.vm2.LuaThread.State

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  LuaThread

    public static class LuaThread.State

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`int` `bytecodes`
`LuaValue` `function`
`boolean` `hookcall`
`int` `hookcount`
`LuaValue` `hookfunc` Hook function control state used by debug lib.
`boolean` `hookline`
`boolean` `hookrtrn`
`boolean` `inhook`
`int` `lastline`
`int` `status`

Method Summary
`Varargs` `lua_resume(LuaThread new_thread, Varargs args)`
`Varargs` `lua_yield(Varargs args)`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### function

    public final LuaValue function

### hookfunc

    public LuaValue hookfunc

  Hook function control state used by debug lib.

### hookline

    public boolean hookline

### hookcall

    public boolean hookcall

### hookrtrn

    public boolean hookrtrn

### hookcount

    public int hookcount

### inhook

    public boolean inhook

### lastline

    public int lastline

### bytecodes

    public int bytecodes

### status

    public int status

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### lua_resume

    public Varargs lua_resume(LuaThread new_thread,
                              Varargs args)

### lua_yield

    public Varargs lua_yield(Varargs args)

Copyright © 2007-2015 Luaj.org. All Rights Reserved.